Bug 241948 - Compiz looses focus on new window and is unable to get it back
Compiz looses focus on new window and is unable to get it back
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
6
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-31 17:15 EDT by Carl-Johan Kjellander
Modified: 2018-04-11 07:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:38:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A screenshot of when the bug has occured. (315.92 KB, image/png)
2007-05-31 17:16 EDT, Carl-Johan Kjellander
no flags Details

  None (edit)
Description Carl-Johan Kjellander 2007-05-31 17:15:19 EDT
Description of problem:
There seems to be a race condition or state machine error in compiz.
Sometimes when compiz opens a new window or popup, the window gets
stuck in an intermediate state, and it never recovers. This happens
when starting a new app or for example firefox opens a popup.

In this state all new windows start in the same intermediate state,
and moving windows stop working completely. Turning off Desktop Effects
works around the problem but compiz gets into exactly the same wierd
state when turning on Deskop Effects again. Only restating X fixes
the problem.

Version-Release number of selected component (if applicable):
compiz-0.3.6-2.fc6

How reproducible:
~1%

Steps to Reproduce:
1. Use the desktop normally.
  
Actual results:
Compiz gets into a wierd state and can't get out of it.
No close buttons. Can't move windows, or resize them.

Expected results:
Compiz should give normal focus and buttons to the new window.

Additional info:
compiz-0.3.6-2.fc6
xorg-x11-server-Xorg-1.1.1-47.8.fc6
xorg-x11-drv-ati-6.6.3-1.fc6
kernel-xen-2.6.19-1.2911.6.5.fc6

Dual Athlon SMP machine.

It has been like this with all versions of X and compiz
for the whole FC6 duration.

I can't use a later kernel-xen because of another bug
that crashes the machine.
Comment 1 Carl-Johan Kjellander 2007-05-31 17:16:35 EDT
Created attachment 155844 [details]
A screenshot of when the bug has occured.
Comment 2 Carl-Johan Kjellander 2007-07-01 13:33:10 EDT
The problem is in gtk-window-decorator I think.

A workaround to the problem is to:

 killall gtk-window-decorator; gtk-window-decorator &

The bug is still there.
Comment 3 Matěj Cepl 2007-12-10 04:21:44 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 4 Matěj Cepl 2008-01-15 09:38:34 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.